function bmsc24
% In this exercise we simulate 10 smaple paths of a drifted BM X= 1+2t+2W_t
tic
%% parameter input
% horizon
T=1;
% sample size
Nplot=10;
% grid points
M=10^3;
% volatility and drift coeff
sigma=2;
driftcoeff=2;

% Simulate BM with normal increments
BM = [zeros(1,Nplot);sqrt(T/M)*cumsum(randn(M,Nplot))];
% the process X
timegrid= 0:T/M:T;
drift=repmat(timegrid',1,Nplot);
X=1+driftcoeff*drift+sigma*BM;

%plot the sample paths
plot(timegrid,X)
title('simulated BM');
xlabel('time');
ylabel('value');
toc